Bug 255326 - java/openjdk8: Fails to build on armv7
Summary: java/openjdk8: Fails to build on armv7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Many People
Assignee: freebsd-java (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-22 11:46 UTC by tech-lists
Modified: 2021-05-14 08:36 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (java)
koobs: merge-quarterly?


Attachments
v0 (1.55 KB, patch)
2021-04-26 17:01 UTC, Mikael Urankar
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tech-lists 2021-04-22 11:46:25 UTC
Hello,

java/openjdk8 fails to build for armv7 for stable/13

context:
poudriere with QEMU armv7 jail built with -x -a arm.armv7 on amd64

[...]

[00:31:26] In file included from /usr/include/sys/user.h:40:
[00:31:26] In file included from /usr/include/machine/pcb.h:43:
[00:31:26] /usr/include/machine/frame.h:128:8: error: redefinition of 'frame'
[00:31:26] struct frame {
[00:31:26]        ^
[00:31:26] /wrkdirs/usr/ports/java/openjdk8/work/openjdk-jdk8u-jdk8u282-b08.1/hotspot/src/share/vm/runtime/frame.hpp:65:7: note: previous definition is here
[00:31:26] class frame VALUE_OBJ_CLASS_SPEC {
[00:31:26]       ^
[00:31:26] 1 warning and 1 error generated.
[00:31:26] 1 warning generated.
Comment 1 Mikael Urankar freebsd_committer 2021-04-26 17:01:00 UTC
Created attachment 224453 [details]
v0

Can you try the attached patch?
Comment 2 tech-lists 2021-04-28 07:38:45 UTC
(In reply to Mikael Urankar from comment #1)

Hello, this fixes the build for me, many thanks
Comment 3 tech-lists 2021-04-29 13:48:57 UTC
shall i close this PR?
Comment 4 Mikael Urankar freebsd_committer 2021-04-29 15:21:21 UTC
(In reply to tech-lists from comment #3)
Not until the fix is committed in the ports tree. We will take care of that.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-13 01:11:47 UTC
Comment on attachment 224453 [details]
v0

Build fixes are:

Approved by: portmgr (build fix)
MFH: 2021Q1
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-13 01:14:25 UTC
Are other java/openjdk* versions affected in the same way? Patches/fixes should be consistently applied across all relevent versions where ever possible
Comment 7 commit-hook freebsd_committer 2021-05-14 08:34:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1025536a1c76b990b4d38df2b27b8fc96cea76c6

commit 1025536a1c76b990b4d38df2b27b8fc96cea76c6
Author:     Mikael Urankar <mikael@FreeBSD.org>
AuthorDate: 2021-05-14 08:30:52 +0000
Commit:     Mikael Urankar <mikael@FreeBSD.org>
CommitDate: 2021-05-14 08:30:52 +0000

    java/openjdk8: Fix build on armv6/7

    PR:             255326
    Reported by:    tech-lists@zyxst.net
    Approved by:    portmgr (tier-2 / build fix blanket)

 ...rc_os__cpu_bsd__zero_vm_os__bsd__zero.cpp (new) | 24 ++++++++++++++++++++++
 ...h-hotspot_src_os_bsd_vm_os__perf__bsd.cpp (new) | 18 ++++++++++++++++
 2 files changed, 42 insertions(+)